<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
?>
<div class="wrap smsbox_wrap">
    <div class="v_top_section">
        <div class="vsms-logo">
            <img src="<?=esc_url(plugins_url( '../assets/images/logo.png', __FILE__ )) ; ?>" alt="VSMS LOGO"/>
        </div>
        <?php if (get_credits() != '') { ?>
            <div class="left">
                <h3 style="color: #6fb3c4; margin: 8px 0;   "><?php _e('You are connected with','smsbox') ; ?> <strong><?php _e('Smsbox','smsbox') ?></strong></h3>
                <h4><strong><?php _e('You have','smsbox') ?> <span style="color: #000000;"><?=number_format((float)get_credits(), 0, '.', ''); ?></span> Credits , <a href='<?=esc_url('https://www.smsbox.gr/sms-pricing.php') ; ?>' target='_blank'><?php _e('click here','smsbox') ?></a> <?php _e('to add more credits.','smsbox') ?></span></strong> </h4>
                <h4 class="nofloat"><?php _e('If you have trables with the configuration of this plugin click','smsbox')  ?> <a href="<?=esc_url('https://www.smsbox.gr/contact.php') ; ?>" target="_blank"><u>here</u></a></h4>
                <h4 class="nofloat"><?php _e('For queries, please feel free to contact us at','smsbox') ?> <a href="<?=esc_url('mailto:info@smsbox.gr') ; ?>" target="_blank"><u><?php echo esc_url('info@smsbox.gr') ?></u></a></h4>
            </div>
            <div class="clear"></div>
        <?php } else { ?>
            <br/>
            <div class="left">
                <?php
                if(get_option( 'wp_smsbox_username' )!='' && get_option( 'wp_smsbox_password' )!='' ){
                ?>
                <h4 class="nofloat red"><?php _e('Api details you have provided are not correct.','smsbox');?></h4>
                <?php
                }
                ?>
                <h4 class="nofloat red"><?php _e("Don't have API username password Yet?",'smsbox') ?> <a href="<?=esc_url('https://www.smsbox.gr') ; ?>"
                                                                                 target="_blank"><u><?php _e('Register here','smsbox') ; ?></u>.</a>
                </h4>
                <h4 class="nofloat red"><?php _e('If you have trables with the configuration of this plugin click','smsbox') ?> <a href="<?=esc_url('https://www.smsbox.gr/contact.php') ; ?>" target="_blank"><u><?php _e('here','smsbox'); ?></u></a></h4>
                <h4 class="nofloat red"><?php _e('Query? Feel free to contact the team by clicking','smsbox') ?> <a href="<?=esc_url('https://www.smsbox.gr/contact.php') ; ?>" target="_blank"><u><?php _e('here','smsbox'); ?></u></a></h4>
            </div>
        <?php
        }
        $config_details = get_option('wp_smsbox_config');
        ?>
        <div class="clear"></div>
    </div>
    <div class="v-nav">
        <ul>
            <li class="active"><a href="#v-basic"><?php _e('Basic Configuration','smsbox'); ?></a></li>
            <li><a href="#v-admin"><?php  _e('Admin Configuration','smsbox'); ?></a></li>
            <li><a href="#v-customer"><?php  _e('Customer Configuration','smsbox'); ?></a></li>
        </ul>
        <div class="clear"></div>
    </div>
    <div class="clear"></div>
    <div class="form-section">
        <form method="post" action="<?= admin_url('admin-post.php'); ?>" name="form" id="smsbox_form">

            <?php wp_nonce_field('update-options'); ?>

                <?php if (isset($_GET['error'])) {
                    echo '<div class="errors-box">'.str_replace('_',' ',$_GET['error']).'</div>';
                } ?>
            <section id="v-basic" class="v-section-nav">
                <table class="form-table">
                    <tr>
                        <td colspan="2">
                            <h3><?php _e('API Account Configuration','smsbox') ?></h3>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Smsbox Username*:','smsbox'); ?></td>
                        <td>
                            <input type="text" dir="ltr" name="wp_smsbox_username" class="validate[required]"
                                   value="<?php echo esc_sql(get_option('wp_smsbox_username')); ?>" placeholder=""/>
                        </td>
                    </tr>

                    <tr>
                        <td><?php _e('Smsbox API Password*:','smsbox'); ?></td>
                        <td>
                            <input type="password" dir="ltr" name="wp_smsbox_password" class="validate[required]"
                                   value="<?php echo esc_sql(get_option('wp_smsbox_password')); ?>"/>
                        </td>
                    </tr>
                </table>
            </section>
            <section id="v-admin" class="v-section-nav" style="display: none;">

                <h3 id="admin-config-header"><?php _e('Admin Configuration','smsbox') ?></h3>

                <div id="admin-config-checkbox-div">
                    <label for="wp_smsbox_config[notify_admin]" id="admin-config-checkbox-text"><?php _e('Enable Admin Notification?','smsbox') ?></label>
                    <input type="checkbox" name="wp_smsbox_config[notify_admin]" id="admin_notify" 
                                    value="1" <?= ((isset($config_details['notify_admin'])) ? 'checked' : ''); ?>/>
                </div>

                <table id="admin-notify-settings" class="form-table">
                    <tr>
                        <td><?php _e('Sender:','smsbox'); ?></td>
                        <td>
                            <input type="text" name="wp_smsbox_config[sender_id_admin]" maxlength="11" id="sender_id_admin"
                                   value="<?= ((isset($config_details['sender_id_admin']) && $config_details['sender_id_admin'] != '') ? $config_details['sender_id_admin'] : ''); ?>" class="validate[maxSize[11],custom[alphanumeric]]" />
                            <p class="sender-counter-admin"><?php _e('Max 11 alphanumeric characters (Greeks are not allowed)','smsbox'); ?></p>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Admin Mobile(s)*:','smsbox'); ?></td>
                        <td>
                            <textarea cols="30" rows="2" name="wp_smsbox_config[admin_mobile]" id="admin_mobile"><?= ((isset($config_details['admin_mobile']) && esc_textarea($config_details['admin_mobile']) != '') ? esc_textarea($config_details['admin_mobile']) : ''); ?></textarea>

                            <p><?php _e('Admin Mobile(s): Enter as many number as you like here, comma separated if multiple e.g. 6971234567,6941234567','smsbox'); ?></p>
                        </td>
                    </tr>

                    <tr>
                        <td><?php _e('Notify on Order Status Update:','smsbox'); ?></td>
                        <td>
                            <input type="checkbox" value="on-hold"
                                   name="wp_smsbox_config[order_status][admin][on-hold]" <?= ((isset($config_details['order_status']['admin']['on-hold'])) ? 'checked' : ''); ?>
                                   id="admin_notify_on_hold" class="checkbox">
                            <label for="wp_smsbox_config[order_status][admin][on-hold]"> <?php _e('On Hold','smsbox'); ?></label>
                            <br>
                            <input type="checkbox" value="pending"
                                   name="wp_smsbox_config[order_status][admin][pending]" <?= ((isset($config_details['order_status']['admin']['pending'])) ? 'checked' : ''); ?>
                                   id="admin_notify_pending" class="checkbox">
                            <label for="wp_smsbox_config[order_status][admin][pending]"> <?php _e('Pending','smsbox'); ?></label>
                            <br>
                            <input type="checkbox" value="processing"
                                   name="wp_smsbox_config[order_status][admin][processing]" <?= ((isset($config_details['order_status']['admin']['processing'])) ? 'checked' : ''); ?>
                                   id="admin_notify_processing" class="checkbox ">
                            <label for="wp_smsbox_config[order_status][admin][processing]"> <?php _e('Processing (New Order)','smsbox'); ?></label>
                            <br>
                            <input type="checkbox" value="completed"
                                   name="wp_smsbox_config[order_status][admin][completed]" <?= ((isset($config_details['order_status']['admin']['completed'])) ? 'checked' : ''); ?>
                                   id="admin_notify_completed" class="checkbox">
                            <label for="wp_smsbox_config[order_status][admin][completed]"> <?php _e('Completed','smsbox'); ?></label>
                            <br>
                            <input type="checkbox" value="cancelled"
                                   name="wp_smsbox_config[order_status][admin][cancelled]" <?= ((isset($config_details['order_status']['admin']['cancelled'])) ? 'checked' : ''); ?>
                                   id="admin_notify_cancelled" class="checkbox">
                            <label for="wp_smsbox_config[order_status][admin][cancelled]"> <?php _e('Cancelled','smsbox');?></label>
                            <br>
                            <input type="checkbox" value="refunded"
                                   name="wp_smsbox_config[order_status][admin][refunded]" <?= ((isset($config_details['order_status']['admin']['refunded'])) ? 'checked' : ''); ?>
                                   id="admin_notify_refunded" class="checkbox">
                            <label for="wp_smsbox_config[order_status][admin][refunded]"> <?php _e('Refunded','smsbox'); ?></label>
                            <br>
                            <input type="checkbox" value="failed"
                                   name="wp_smsbox_config[order_status][admin][failed]" <?= ((isset($config_details['order_status']['admin']['failed'])) ? 'checked' : ''); ?>
                                   id="admin_notify_failed" class="checkbox">
                            <label for="wp_smsbox_config[order_status][admin][failed]"> <?php _e('Failed','smsbox'); ?></label>
                            <br>
                        </td>
                    </tr>

                    <tr id="admin_onhold_tr">
                        <td><?php _e('[On Hold] Message for Admin*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[admin_message_onhold]" id="admin_message_onhold" cols="30" maxlength="612" class="required"
                                      rows="3"><?=((isset($config_details['admin_message_onhold']) && esc_textarea($config_details['admin_message_onhold']) != '') ? esc_textarea($config_details['admin_message_onhold']) : 'On Hold Message'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="admin_message_onhold_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox')?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>

                    <tr id="admin_pending_tr">
                        <td><?php _e('[Pending] Message for Admin*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[admin_message_pending]" id="admin_message_pending" cols="30" maxlength="612" class="required"
                                      rows="3"><?=((isset($config_details['admin_message_pending']) && esc_textarea($config_details['admin_message_pending']) != '') ? esc_textarea($config_details['admin_message_pending']) : 'Pending Message'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="admin_message_pending_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox')?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="admin_processing_tr">
                        <td><?php _e('[Processing (New Order)] Message for Admin*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[admin_message_processing]" id="admin_message_processing" cols="30" maxlength="612" class="required"
                                      rows="3"><?=((isset($config_details['admin_message_processing']) && esc_textarea($config_details['admin_message_processing']) != '') ? esc_textarea($config_details['admin_message_processing']) : 'Processing Message'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="admin_message_processing_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox')?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="admin_completed_tr">
                        <td><?php _e('[Completed] Message for Admin*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[admin_message_complete]" id="admin_message_complete" cols="30" maxlength="612" class="required"
                                      rows="3"><?=((isset($config_details['admin_message_complete']) && esc_textarea($config_details['admin_message_complete']) != '') ? esc_textarea($config_details['admin_message_complete']) : 'Complete Message'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="admin_message_complete_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox')?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="admin_cancelled_tr">
                        <td><?php _e('[Cancelled] Message for Admin*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[admin_message_cancelled]" id="admin_message_cancelled" cols="30" maxlength="612" class="required"
                                      rows="3"><?=((isset($config_details['admin_message_cancelled']) && esc_textarea($config_details['admin_message_cancelled']) != '') ? esc_textarea($config_details['admin_message_cancelled']) : 'Cancelled Message'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="admin_message_cancelled_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox')?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="admin_refunded_tr">
                        <td><?php _e('[Refunded] Message for Admin*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[admin_message_refunded]" id="admin_message_refunded" cols="30" maxlength="612" class="required"
                                      rows="3"><?=((isset($config_details['admin_message_refunded']) && esc_textarea($config_details['admin_message_refunded']) != '') ? esc_textarea($config_details['admin_message_refunded']) : 'Refunded Message'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="admin_message_refunded_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox')?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="admin_failed_tr">
                        <td><?php _e('[Failed] Message for Admin*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[admin_message_failed]"  id="admin_message_failed" cols="30" maxlength="612" class="required"
                                      rows="3"><?=((isset($config_details['admin_message_failed']) && esc_textarea($config_details['admin_message_failed']) != '') ? esc_textarea($config_details['admin_message_failed']) : 'Failed Message'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="admin_message_failed_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox')?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    
                </table>
            </section>
            <section id="v-customer" class="v-section-nav" style="display: none;">


                <h3 id="customer-config-header"><?php _e('Customer Configuration','smsbox'); ?></h3>

                <div id="customer-config-checkbox-div">
                    <span id="customer-config-checkbox-text"><?php _e('Enable Customer Notification?','smsbox') ?></span>
                    <input type="checkbox" name="wp_smsbox_config[notify_customer]" id="customer_notify"
                                    value="1" <?= ((isset($config_details['notify_customer'])) ? 'checked' : ''); ?>/>
                </div>

                <table id="customer-notify-settings" class="form-table">  
                    <tr>
                        <td>Sender:</td>
                        <td>
                            <input type="text" name="wp_smsbox_config[sender_id_customer]" maxlength="11" id="sender_id_customer"
                                   value="<?= ((isset($config_details['sender_id_customer']) && $config_details['sender_id_customer'] !='' ) ? $config_details['sender_id_customer'] : ''); ?>" />
                            <p class="sender-counter-customer"><?php _e('Max 11 alphanumeric characters (Greeks are not allowed)','smsbox'); ?></p>
                        </td>
                    </tr>

                    <tr>
                        <td><?php _e('Notify on Order Status Update:','smsbox'); ?></td>
                        <td>
                            <input type="checkbox" value="on-hold"
                                   name="wp_smsbox_config[order_status][customer][on-hold]" <?= ((isset($config_details['order_status']['customer']['on-hold'])) ? 'checked' : ''); ?>
                                   id="customer_notify_on_hold" class="checkbox">
                            <label for="wp_smsbox_config[order_status][customer][on-hold]"> <?php _e('On Hold','smsbox'); ?></label>
                            <br>
                            <input type="checkbox" value="pending"
                                   name="wp_smsbox_config[order_status][customer][pending]" <?= ((isset($config_details['order_status']['customer']['pending'])) ? 'checked' : ''); ?>
                                   id="customer_notify_pending" class="checkbox">
                            <label for="wp_smsbox_config[order_status][customer][pending]"> <?php _e('Pending','smsbox'); ?></label>
                            <br>
                            <input type="checkbox" value="processing"
                                   name="wp_smsbox_config[order_status][customer][processing]" <?= ((isset($config_details['order_status']['customer']['processing'])) ? 'checked' : ''); ?>
                                   id="customer_notify_processing" class="checkbox">
                            <label for="wp_smsbox_config[order_status][customer][processing]"> <?php _e('Processing (New Order)','smsbox'); ?></label>
                            <br>
                            <input type="checkbox" value="completed"
                                   name="wp_smsbox_config[order_status][customer][completed]" <?= ((isset($config_details['order_status']['customer']['completed'])) ? 'checked' : ''); ?>
                                   id="customer_notify_completed" class="checkbox">
                            <label for="wp_smsbox_config[order_status][customer][completed]"> <?php _e('Completed','smsbox') ?></label>
                            <br>
                            <input type="checkbox" value="cancelled"
                                   name="wp_smsbox_config[order_status][customer][cancelled]" <?= ((isset($config_details['order_status']['customer']['cancelled'])) ? 'checked' : ''); ?>
                                   id="customer_notify_cancelled" class="checkbox">
                            <label for="wp_smsbox_config[order_status][customer][cancelled]"> <?php _e('Cancelled','smsbox') ?></label>
                            <br>
                            <input type="checkbox" value="refunded"
                                   name="wp_smsbox_config[order_status][customer][refunded]" <?= ((isset($config_details['order_status']['customer']['refunded'])) ? 'checked' : ''); ?>
                                   id="customer_notify_refunded" class="checkbox">
                            <label for="wp_smsbox_config[order_status][customer][refunded]"> <?php _e('Refunded','smsbox'); ?></label>
                            <br>
                            <input type="checkbox" value="failed"
                                   name="wp_smsbox_config[order_status][customer][failed]" <?= ((isset($config_details['order_status']['customer']['failed'])) ? 'checked' : ''); ?>
                                   id="customer_notify_failed" class="checkbox">
                            <label for="wp_smsbox_config[order_status][customer][failed]"> <?php _e('Failed','smsbox'); ?></label>
                            <br>
                        </td>
                    </tr>

                    <tr id="customer_onhold_tr">
                        <td><?php _e('[On Hold] Message for Customer*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[customer_message_onhold]" id="customer_message_onhold" cols="30" maxlength="612" 
                                      rows="3"><?=(( isset($config_details['customer_message_onhold']) && esc_textarea($config_details['customer_message_onhold']) != '') ? esc_textarea($config_details['customer_message_onhold']) : 'On Hold'); ?></textarea>
                            <div class="clear"></div>
                            <div id="customer_message_onhold_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox'); ?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="customer_pending_tr">
                        <td><?php _e('[Pending] Message for Customer*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[customer_message_pending]" id="customer_message_pending" cols="30" maxlength="612" 
                                      rows="3"><?=((isset($config_details['customer_message_pending']) && esc_textarea($config_details['customer_message_pending']) != '') ? esc_textarea($config_details['customer_message_pending']) : 'Pending'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="customer_message_pending_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox'); ?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="customer_processing_tr">
                        <td><?php _e('[Processing (New Order)] Message for Customer*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[customer_message_processing]" id="customer_message_processing" cols="30" maxlength="612" 
                                      rows="3"><?=((isset($config_details['customer_message_processing']) && esc_textarea($config_details['customer_message_processing']) != '') ? esc_textarea($config_details['customer_message_processing']) : 'Processing (New Order)'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="customer_message_processing_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox'); ?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="customer_completed_tr">
                        <td><?php _e('[Completed] Message for Customer*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[customer_message_completed]" id="customer_message_completed" cols="30" maxlength="612" 
                                      rows="3"><?=((isset($config_details['customer_message_completed']) && esc_textarea($config_details['customer_message_completed']) != '') ? esc_textarea($config_details['customer_message_completed']) : 'Completed'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="customer_message_completed_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox'); ?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="customer_cancelled_tr">
                        <td><?php _e('[Cancelled] Message for Customer*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[customer_message_cancelled]" id="customer_message_cancelled" cols="30" maxlength="612" 
                                      rows="3"><?=((isset($config_details['customer_message_cancelled']) && esc_textarea($config_details['customer_message_cancelled']) != '') ? esc_textarea($config_details['customer_message_cancelled']) : 'Cancelled'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="customer_message_cancelled_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox'); ?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="customer_refunded_tr">
                        <td><?php _e('[Refunded] Message for Customer*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[customer_message_refunded]" id="customer_message_refunded" cols="30" maxlength="612" 
                                      rows="3"><?=((isset($config_details['customer_message_refunded']) && esc_textarea($config_details['customer_message_refunded']) != '') ? esc_textarea($config_details['customer_message_refunded']) : 'Refunded'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="customer_message_refunded_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox'); ?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                    <tr id="customer_failed_tr">
                        <td><?php _e('[Failed] Message for Customer*:','smsbox'); ?></td>
                        <td>
                            <textarea name="wp_smsbox_config[customer_message_failed]" id="customer_message_failed" cols="30" maxlength="612" 
                                      rows="3"><?=((isset($config_details['customer_message_failed']) && esc_textarea($config_details['customer_message_failed']) != '') ? esc_textarea($config_details['customer_message_failed']) : 'Failed'); ?></textarea>
                            
                            <div class="clear"></div>
                            <div id="customer_message_failed_sms_message_counter">160 | <b>SMS: 1</b></div>
                            <span class="description">  <?php _e('Available parameters:','smsbox'); ?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','smsbox'); ?></code></span>
                        </td>
                    </tr>
                </table>
            </section>
        <table class="form-table">
            <tr>
                <td colspan="2">
                    <p class="submit">
                        <input type="hidden" name="action" value="<?php _e('add_smsbox','smsbox'); ?>"/>
                        <input type="submit" class="button-primary" name="Submit" id="smsbox_save_settings" value="<?php _e('Save Settings','smsbox'); ?>"/>
                    </p>
                </td>
            </tr>
        </table>
        </form>
    </div>
</div>
<?php
}
?>